%set_verify_elf_method textrel=relaxed,rpath=relaxed
Name: lablgtk
Version: 1.2.6
Release: alt7

%define camlver 3.08.0-alt0.2
%define lablgl_ver 1.00-alt6

Group: Development/ML
Summary: GTK+ library for OCaml
License: Distributable
Url: http://wwwfun.kurims.kyoto-u.ac.jp/soft/
Packager: Vitaly Lugovsky <vsl@altlinux.ru>
Source: http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/lablgtk-%version.tar.gz
Patch1: lablgtk-1.2.6-makeconfig.patch
Requires: ocaml = %camlver, labltk = %camlver, lablGL = %lablgl_ver, gtkglarea
Requires: lablgtk-runtime = %version-%release

# Automatically added by buildreq on Mon Oct 13 2003
BuildRequires: XFree86-devel XFree86-libs camlp4 esound-devel gdk-pixbuf-devel glib-devel gnome-libs-devel gtk+-devel gtkglarea-devel imlib-devel lablGL-runtime libGLU-devel libGLwrapper libaudiofile-devel libdb1-devel libglade-devel libglade-gnome libjpeg-devel libpng-devel libxml-devel ocaml-runtime xpm-devel zlib-devel

BuildRequires: ocaml = %camlver, camlp4 = %camlver, labltk = %camlver
BuildRequires: lablGL = %lablgl_ver, libxml-devel, libxml2-devel
BuildRequires: gtkglarea-devel, libglade-devel, gnome-libs-devel
BuildRequires: gdk-pixbuf-devel


%package runtime
Summary: GTK+ runtime stubs for OCaml bindings
Requires: ocaml-runtime = %camlver, lablGL-runtime >= %lablgl_ver
Group: Development/ML

%description

 GTK+ bindings library for Objective Caml

%description runtime

 GTK+ bindings library for Objective Caml


%prep
%setup -q
%patch1 -p1


%build
make
make opt

%install
%define _compress_method skip

mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/
mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/stublibs/
mkdir -p $RPM_BUILD_ROOT/usr/bin/
make install
(cd src; make installopt)
#(cd $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib;
# ln -s ../lablgtk/dlllablglade.so;
# ln -s ../lablgtk/dlllablgnome.so;
# ln -s ../lablgtk/dlllablgtk.so;
# ln -s ../lablgtk/dlllablgtkgl.so)

(cd $RPM_BUILD_ROOT/usr/lib/ocaml/lablgtk/;
ocamlopt -nolinkstd -ccopt -L. -shared -o lablglade.so stdlib.so.cmxa lablglade.cmxa -linkall;
ocamlopt -nolinkstd -ccopt -L. -shared -o lablgnome.so stdlib.so.cmxa lablgnome.cmxa -linkall;
ocamlopt -nolinkstd -ccopt -L. -shared -o lablgtk.so stdlib.so.cmxa lablgtk.cmxa -linkall;
ocamlopt -nolinkstd -ccopt -L. -shared -o lablgtkgl.so stdlib.so.cmxa lablgtkgl.cmxa -linkall
)

(cd $RPM_BUILD_ROOT; find usr/lib/ocaml ! -type d  ! -name '*.so' -printf "/%%p\n") > files
(cd $RPM_BUILD_ROOT; find usr/lib/ocaml -name '*.so' -printf "/%%p\n") > runfiles


%files -f files
%doc CHANGES COPYING README examples/

%files runtime -f runfiles
/usr/bin/*
%dir %_libdir/ocaml/lablgtk

%changelog
* Sun Jul 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.6-alt7
- rebuild

* Fri May  7 2004 Alexander V. Nikolaev <avn@altlinux.org> 1.2.6-alt6.1
- Non-maintainer upload
- Add "packager" to spec
- Rebuild with glibc 2.3.x and ocaml 3.07-alt6.1

* Wed Mar 17 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.6-alt6
- rebuild


* Wed Feb 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.6-alt5
- rebuild

* Tue Jan 27 2004 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.6-alt4
rebuild

* Wed Nov 12 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.6-alt3
relaxed elf verifying

* Tue Oct 14 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.6-alt2
installation bug fixed


* Thu Oct 09 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.6-alt1
- New version, rebuild with 3.07...

* Fri Jan 31 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.5-alt2s
- rebuild with a shared libraries support

* Tue Jan 21 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.5-alt2
- rebuild with lablGL-0.98-alt3

* Thu Aug 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.5-alt1
- New version

*Tue Aug 20 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.4-alt2
- Rebuild: ocaml 3.06
- runtime part is in the separate package now

*Fri Aug 2 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.4-alt1
- New version released

*Tue Jul 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.3-alt9
- rebuild: ocaml 3.05

*Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.3-alt8
- rebuild: ocaml 3.04_15

*Tue May 14 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.3-alt7
- Rebuild with 3.04_10, no more post and preun scripts

*Wed Apr 16 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.3-alt6
- Rebuild with ocaml-3.04+9
- Patch from vsu <vsu@mivlgu.murom.ru>
  (bugfix for path in lablgtktop script)

*Sat Mar  2 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2.3-alt5
- Rebuild with ocaml-3.04+7-alt1, libglade-devel dependency added

*Fri Feb 22 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- camlp4 dependency added.

*Sun Feb 17 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- Rebuild with ocaml-3.04-alt4 (shared patch disabled)

*Mon Jan 25 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- First RPM release.
